package com.itheima;

import com.itheima.controller.BookController;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.ApplicationContext;

@SpringBootTest
class SpringbootWebConfigApplicationTests {

    @Autowired
    private ApplicationContext applicationContext;


    @Test
    public void test(){
        System.out.println("test");
        //根据bean的名称获取
        BookController bookController = (BookController) applicationContext.getBean("bookController");

        System.out.println(bookController);
        //根据bean的类型获取
        BookController bookController2 =applicationContext.getBean(BookController.class);
        System.out.println(bookController2);

        //根据bean的名称 及 类型获取
        BookController bookController3 =applicationContext.getBean("bookController",BookController.class);
        System.out.println(bookController3);

    }

}
